# PrimitiveIdentifier Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveIdentifier:
[legend]

List of all members.

## Public Member Functions

| of ($class)
| dao ()
| setMethodName ($methodName)
| importValue ($value)
| import ($scope)

## Protected Member Functions

| actualImportValue ($value)

## Private Attributes

| $methodName = 'getById'

## Detailed Description

Definition at line 15 of file PrimitiveIdentifier.class.php.

## Member Function Documentation

PrimitiveIdentifier::actualImportValue | ( | $ | value | ) | `[protected]`

Definition at line 140 of file PrimitiveIdentifier.class.php.

References dao().

Referenced by import().

Here is the call graph for this function:

PrimitiveIdentifier::dao | ( |  | ) |

Returns:
  GenericDAO

Definition at line 43 of file PrimitiveIdentifier.class.php.

References Assert::isNotNull().

Referenced by actualImportValue(), PrimitiveIdentifierList::import(), and setMethodName().

Here is the call graph for this function:

PrimitiveIdentifier::import | ( | $ | scope | ) |

Reimplemented from PrimitiveNumber.

Reimplemented in PrimitiveIdentifierList, and PrimitivePolymorphicIdentifier.

Definition at line 93 of file PrimitiveIdentifier.class.php.

References IdentifiablePrimitive::$className, BasePrimitive::$value, actualImportValue(), Assert::isInstance(), and IdentifiablePrimitive::setValue().

Here is the call graph for this function:

PrimitiveIdentifier::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveIdentifierList, and PrimitivePolymorphicIdentifier.

Definition at line 74 of file PrimitiveIdentifier.class.php.

References BasePrimitive::$value, BasePrimitive::getName(), and Assert::isInstance().

Here is the call graph for this function:

PrimitiveIdentifier::of | ( | $ | class | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveIdentifier

Reimplemented from IdentifiablePrimitive.

Reimplemented in PrimitivePolymorphicIdentifier.

Definition at line 23 of file PrimitiveIdentifier.class.php.

References IdentifiablePrimitive::$className, Assert::classExists(), IdentifiablePrimitive::guessClassName(), and Assert::isInstance().

Here is the call graph for this function:

PrimitiveIdentifier::setMethodName | ( | $ | methodName | ) |

Returns:
  PrimitiveIdentifier

Definition at line 56 of file PrimitiveIdentifier.class.php.

References $methodName, ClassUtils::checkStaticMethod(), dao(), and Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveIdentifier::$methodName = 'getById'`[private]`

Definition at line 17 of file PrimitiveIdentifier.class.php.

Referenced by setMethodName().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveIdentifier.class.php